"""Add IP Trunk migration workflow.

Revision ID: e68720f2ec32
Revises: a6eefd32c4f7
Create Date: 2023-08-16 14:48:00.227803

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "e68720f2ec32"
down_revision = "a6eefd32c4f7"
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "migrate_iptrunk",
        "target": "MODIFY",
        "description": "Migrate an IP Trunk",
        "product_type": "Iptrunk",
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
